<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constraints: Clutter Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="Clutter Reference Manual">
<link rel="up" href="clutterbase.html" title="Part IV. Clutter Core Reference">
<link rel="prev" href="ClutterTapAction.html" title="ClutterTapAction">
<link rel="next" href="ClutterAlignConstraint.html" title="ClutterAlignConstraint">
<meta name="generator" content="GTK-Doc V1.29 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="clutterbase.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ClutterTapAction.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ClutterAlignConstraint.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h2 class="title">
<a name="id-1.5.6"></a>Constraints</h2></div></div></div>
<div class="toc"><dl class="toc">
<dt>
<span class="refentrytitle"><a href="ClutterAlignConstraint.html">ClutterAlignConstraint</a></span><span class="refpurpose"> — A constraint aligning the position of an actor</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterBindConstraint.html">ClutterBindConstraint</a></span><span class="refpurpose"> — A constraint binding the position or size of an actor</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterPathConstraint.html">ClutterPathConstraint</a></span><span class="refpurpose"> — A constraint that follows a path</span>
</dt>
<dt>
<span class="refentrytitle"><a href="ClutterSnapConstraint.html">ClutterSnapConstraint</a></span><span class="refpurpose"> — A constraint snapping two actors together</span>
</dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.29</div>
</body>
</html>